org.kie.internal.task.api.model

## Enum Operation

- java.lang.Object
- - java.lang.Enum<Operation>
  - - org.kie.internal.task.api.model.Operation

- All Implemented Interfaces:
    Serializable, Comparable<Operation>

      public enum Operation
      extends Enum<Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Activate`
    `Claim`
    `Complete`
    `Delegate`
    `Exit`
    `Fail`
    `Forward`
    `Modify`
    `Nominate`
    `Register`
    `Release`
    `Remove`
    `Resume`
    `Skip`
    `Start`
    `Stop`
    `Suspend`
    `View`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Claim

          public static final Operation Claim

    - #### Start

          public static final Operation Start

    - #### Stop

          public static final Operation Stop

    - #### Release

          public static final Operation Release

    - #### Suspend

          public static final Operation Suspend

    - #### Resume

          public static final Operation Resume

    - #### Skip

          public static final Operation Skip

    - #### Delegate

          public static final Operation Delegate

    - #### Forward

          public static final Operation Forward

    - #### Complete

          public static final Operation Complete

    - #### Fail

          public static final Operation Fail

    - #### Register

          public static final Operation Register

    - #### Remove

          public static final Operation Remove

    - #### Activate

          public static final Operation Activate

    - #### Exit

          public static final Operation Exit

    - #### Nominate

          public static final Operation Nominate

    - #### Modify

          public static final Operation Modify

    - #### View

          public static final Operation View

  - ### Method Detail

    - #### values

          public static Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operation c : Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.